--- old/usr/src/head/schedctl.h	Sat Aug  2 23:27:13 2014
+++ new/usr/src/head/schedctl.h	Sat Aug  2 23:27:13 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1996-2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_SCHEDCTL_H
 #define	_SCHEDCTL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -51,15 +51,9 @@
 /*
  * libsched API
  */
-#if	defined(__STDC__)
 schedctl_t	*schedctl_init(void);
 schedctl_t	*schedctl_lookup(void);
 void		schedctl_exit(void);
-#else
-schedctl_t	*schedctl_init();
-schedctl_t	*schedctl_lookup();
-void		schedctl_exit();
-#endif	/* __STDC__ */
 
 #ifdef __cplusplus
 }
--- old/usr/src/head/search.h	Sat Aug  2 23:27:13 2014
+++ new/usr/src/head/search.h	Sat Aug  2 23:27:13 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +32,6 @@
 #ifndef _SEARCH_H
 #define	_SEARCH_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.3.1.11 */
-
 #include <sys/feature_tests.h>
 #include <sys/types.h>
 
@@ -52,8 +51,6 @@
 
 typedef struct entry { char *key, *data; } ENTRY;
 
-#if defined(__STDC__)
-
 int hcreate(size_t);
 void hdestroy(void);
 ENTRY *hsearch(ENTRY, ACTION);
@@ -62,35 +59,16 @@
 void remque(void *);
 #endif
 
-#else /* defined(__STDC__) */
 
-int hcreate();
-void hdestroy();
-ENTRY *hsearch();
-#if defined(__EXTENSIONS__) || !defined(_XOPEN_SOURCE) || defined(_XPG4_2)
-void insque();
-void remque();
-#endif
-
-#endif /* defined(__STDC__) */
-
 /* TSEARCH(3C) */
 typedef enum { preorder, postorder, endorder, leaf } VISIT;
 
-#if defined(__STDC__)
 void *tdelete(const void *_RESTRICT_KYWD, void **_RESTRICT_KYWD,
 	int (*)(const void *, const void *));
 void *tfind(const void *, void *const *, int (*)(const void *, const void *));
 void *tsearch(const void *, void **, int (*)(const void *, const void *));
 void twalk(const void *, void (*)(const void *, VISIT, int));
-#else
-void *tdelete();
-void *tfind();
-void *tsearch();
-void twalk();
-#endif
 
-#if defined(__STDC__)
 
 #if defined(__EXTENSIONS__) || !defined(_XOPEN_SOURCE)
 /* BSEARCH(3C) */
@@ -103,11 +81,6 @@
 	    int (*)(const void *, const void *));
 void *lsearch(const void *, void *, size_t *, size_t,
 	    int (*)(const void *, const void *));
-#else
-void *bsearch();
-void *lfind();
-void *lsearch();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/semaphore.h	Sat Aug  2 23:27:13 2014
+++ new/usr/src/head/semaphore.h	Sat Aug  2 23:27:13 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SEMAPHORE_H
 #define	_SEMAPHORE_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 
 #include <sys/types.h>
@@ -52,7 +52,6 @@
 /*
  * function prototypes
  */
-#if	defined(__STDC__)
 int	sem_init(sem_t *, int, unsigned int);
 int	sem_destroy(sem_t *);
 sem_t	*sem_open(const char *, int, ...);
@@ -75,21 +74,6 @@
 int	sem_trywait(sem_t *);
 int	sem_post(sem_t *);
 int	sem_getvalue(sem_t *_RESTRICT_KYWD, int *_RESTRICT_KYWD);
-#else
-int	sem_init();
-int	sem_destroy();
-sem_t	*sem_open();
-int	sem_close();
-int	sem_unlink();
-int	sem_wait();
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG6) || defined(__EXTENSIONS__)
-int	sem_timedwait();
-int	sem_reltimedwait_np();
-#endif	/* #if !defined(__XOPEN_OR_POSIX) || defined(_XPG6) ... */
-int	sem_trywait();
-int	sem_post();
-int	sem_getvalue();
-#endif	/* __STDC__ */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/setjmp.h	Sat Aug  2 23:27:14 2014
+++ new/usr/src/head/setjmp.h	Sat Aug  2 23:27:14 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -46,8 +47,6 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
-
 #if !defined(_STRICT_STDC) || defined(__XOPEN_OR_POSIX) || \
 	defined(__EXTENSIONS__)
 /* non-ANSI standard compilation */
@@ -63,20 +62,6 @@
 extern void siglongjmp(sigjmp_buf, int) __NORETURN;
 #endif
 
-#else /* __STDC__ */
-
-#if defined(_LP64) || defined(_I32LPx)
-typedef long sigjmp_buf[_SIGJBLEN];
-#else
-typedef int sigjmp_buf[_SIGJBLEN];
-#endif
-
-extern int sigsetjmp() __RETURNS_TWICE;
-#pragma unknown_control_flow(sigsetjmp)
-extern void siglongjmp();
-
-#endif  /* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/shadow.h	Sat Aug  2 23:27:14 2014
+++ new/usr/src/head/shadow.h	Sat Aug  2 23:27:14 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -71,8 +73,6 @@
 #define	FAILCOUNT_MASK 0xF
 };
 
-#if defined(__STDC__)
-
 #ifndef _STDIO_H
 #include <stdio.h>
 #endif
@@ -93,17 +93,6 @@
 extern int	lckpwdf(void);
 extern int	ulckpwdf(void);
 
-#else
-
-/* Declare all shadow password functions */
-
-struct spwd	*getspent_r(), *fgetspent_r(), *getspnam_r();
-void		setspent(), endspent();
-struct spwd	*getspent(), *fgetspent(), *getspnam(); /* MT-unsafe */
-int		putspent(), lckpwdf(), ulckpwdf();
-
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/siginfo.h	Sat Aug  2 23:27:14 2014
+++ new/usr/src/head/siginfo.h	Sat Aug  2 23:27:14 2014
@@ -19,15 +19,15 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 #ifndef	_SIGINFO_H
 #define	_SIGINFO_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.1	*/
-
 #include <sys/types.h>
 #include <sys/siginfo.h>
 
@@ -40,7 +40,6 @@
 	char **vsiginfo;
 };
 
-#ifdef __STDC__
 extern const char * _sys_illlist[];
 extern const char * _sys_fpelist[];
 extern const char * _sys_segvlist[];
@@ -49,29 +48,10 @@
 extern const char * _sys_cldlist[];
 extern const struct siginfolist *_sys_siginfolistp;
 #define	_sys_siginfolist	_sys_siginfolistp
-#else
-extern char * _sys_illlist[];
-extern char * _sys_fpelist[];
-extern char * _sys_segvlist[];
-extern char * _sys_buslist[];
-extern char * _sys_traplist[];
-extern char * _sys_cldlist[];
-extern struct siginfolist *_sys_siginfolistp;
-#define	_sys_siginfolist	_sys_siginfolistp
-#endif
 
-#if defined(__STDC__)
-
 extern void psignal(int, const char *);
 extern void psiginfo(siginfo_t *, char *);
 
-#else
-
-extern void psignal();
-extern void psiginfo();
-
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/signal.h	Sat Aug  2 23:27:14 2014
+++ new/usr/src/head/signal.h	Sat Aug  2 23:27:14 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +32,6 @@
 #ifndef _SIGNAL_H
 #define	_SIGNAL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.5.3.4 */
-
 #include <sys/feature_tests.h>
 
 #if defined(__EXTENSIONS__) || !defined(_STRICT_STDC) || \
@@ -58,8 +57,6 @@
 #endif
 
 
-#if defined(__STDC__)
-
 extern const char	**_sys_siglistp;	/* signal descriptions */
 extern const int	_sys_siglistn;		/* # of signal descriptions */
 
@@ -132,76 +129,6 @@
 extern int sigqueue(pid_t, int, const union sigval);
 #endif /* defined(__EXTENSIONS__) || (!defined(_STRICT_STDC) && */
 
-#else	/* __STDC__ */
-
-extern char	**_sys_siglistp;	/* signal descriptions */
-extern int	_sys_siglistn;		/* # of signal descriptions */
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)
-#define	_sys_siglist	_sys_siglistp
-#define	_sys_nsig	_sys_siglistn
-#endif
-
-#if defined(__EXTENSIONS__) || defined(__XOPEN_OR_POSIX)
-extern int kill();
-extern int sigaction();
-#ifndef	_KERNEL
-extern int sigaddset();
-extern int sigdelset();
-extern int sigemptyset();
-extern int sigfillset();
-extern int sigismember();
-#endif
-extern int sigpending();
-extern int sigprocmask();
-extern int sigsuspend();
-#endif /* defined(__EXTENSIONS__)... */
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
-	defined(_XPG4_2)
-extern void (*bsd_signal())();
-extern int killpg();
-extern int siginterrupt();
-#endif /* defined(__EXTENSIONS__) ... */
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
-	(defined(_XPG4_2) && !defined(_XPG6))
-extern int sigstack();
-#endif
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)
-extern int gsignal();
-extern int (*ssignal)();
-extern int sigsend();
-extern int sigsendset();
-extern int sig2str();
-extern int str2sig();
-#define	SIG2STR_MAX	32
-#endif
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
-	defined(_XPG4_2)
-extern int sigaltstack();
-extern int sighold();
-extern int sigignore();
-extern int sigpause();
-extern int sigrelse();
-extern void (*sigset())();
-#endif
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
-	(_POSIX_C_SOURCE > 2)
-#include <sys/siginfo.h>
-#include <sys/time.h>
-extern int pthread_kill();
-extern int pthread_sigmask();
-extern int sigwaitinfo();
-extern int sigtimedwait();
-extern int sigqueue();
-#endif
-
-#endif	/* __STDC__ */
-
 /*
  * sigwait() prototype is defined here.
  */
@@ -210,8 +137,6 @@
 	!defined(__XOPEN_OR_POSIX)) || (_POSIX_C_SOURCE - 0 >= 199506L) || \
 	defined(_POSIX_PTHREAD_SEMANTICS)
 
-#if	defined(__STDC__)
-
 #if	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
 
 #ifdef __PRAGMA_REDEFINE_EXTNAME
@@ -241,42 +166,6 @@
 
 #endif  /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
 
-
-#else  /* __STDC__ */
-
-
-#if	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
-
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma redefine_extname sigwait __posix_sigwait
-extern int sigwait();
-#else  /* __PRAGMA_REDEFINE_EXTNAME */
-
-extern int __posix_sigwait();
-
-#ifdef	__lint
-#define	sigwait __posix_sigwait
-#else	/* !__lint */
-
-static int
-sigwait(__setp, __signo)
-	sigset_t *__setp;
-	int *__signo;
-{
-	return (__posix_sigwait(__setp, __signo));
-}
-
-#endif /* !__lint */
-#endif /* __PRAGMA_REDEFINE_EXTNAME */
-
-#else  /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-extern int sigwait();
-
-#endif /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-#endif /* __STDC__ */
-
 #endif /* defined(__EXTENSIONS__) || (!defined(_STRICT_STDC) ... */
 
 #ifdef	__cplusplus
--- old/usr/src/head/spawn.h	Sat Aug  2 23:27:14 2014
+++ new/usr/src/head/spawn.h	Sat Aug  2 23:27:14 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -67,8 +69,6 @@
 	void *__file_attrp;	/* implementation-private */
 } posix_spawn_file_actions_t;
 
-#if defined(__STDC__)
-
 extern int posix_spawn(
 	pid_t *_RESTRICT_KYWD pid,
 	const char *_RESTRICT_KYWD path,
@@ -188,38 +188,6 @@
 	const posix_spawnattr_t *_RESTRICT_KYWD attr,
 	sigset_t *_RESTRICT_KYWD sigmask);
 
-#else	/* __STDC__ */
-
-extern int posix_spawn();
-extern int posix_spawnp();
-extern int posix_spawn_file_actions_init();
-extern int posix_spawn_file_actions_destroy();
-extern int posix_spawn_file_actions_addopen();
-extern int posix_spawn_file_actions_addclose();
-extern int posix_spawn_file_actions_adddup2();
-extern int posix_spawnattr_init();
-extern int posix_spawnattr_destroy();
-extern int posix_spawnattr_setflags();
-extern int posix_spawnattr_getflags();
-extern int posix_spawnattr_setpgroup();
-extern int posix_spawnattr_getpgroup();
-extern int posix_spawnattr_setschedparam();
-extern int posix_spawnattr_getschedparam();
-extern int posix_spawnattr_setschedpolicy();
-extern int posix_spawnattr_getschedpolicy();
-extern int posix_spawnattr_setsigdefault();
-extern int posix_spawnattr_getsigdefault();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern int posix_spawn_pipe_np();
-extern int posix_spawn_file_actions_addclosefrom_np();
-extern int posix_spawnattr_setsigignore_np();
-extern int posix_spawnattr_getsigignore_np();
-#endif	/* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-extern int posix_spawnattr_setsigmask();
-extern int posix_spawnattr_getsigmask();
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/stdarg.h	Sat Aug  2 23:27:14 2014
+++ new/usr/src/head/stdarg.h	Sat Aug  2 23:27:14 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +32,6 @@
 #ifndef _STDARG_H
 #define	_STDARG_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.8	*/
-
 /*
  * This header defines the ISO C 1989, ISO C++ 1998, and ISO C 1999
  * variable argument definitions.  For legacy support, it also defines
@@ -45,8 +44,6 @@
  * names into the users' namespace.
  */
 
-#if defined(__STDC__)
-
 #include <iso/stdarg_iso.h>
 #include <iso/stdarg_c99.h>
 
@@ -58,10 +55,4 @@
 using std::va_list;
 #endif
 
-#else	/* __STDC__ */
-
-#include <varargs.h>
-
-#endif	/* __STDC__ */
-
 #endif	/* _STDARG_H */
--- old/usr/src/head/stdio.h	Sat Aug  2 23:27:14 2014
+++ new/usr/src/head/stdio.h	Sat Aug  2 23:27:14 2014
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -215,19 +216,11 @@
 /* large file compilation environment setup */
 #if !defined(_LP64) && _FILE_OFFSET_BITS == 64
 #if !defined(__PRAGMA_REDEFINE_EXTNAME)
-#if defined(__STDC__)
 extern FILE	*fopen64(const char *, const char *);
 extern FILE	*freopen64(const char *, const char *, FILE *);
 extern FILE	*tmpfile64(void);
 extern int	fgetpos64(FILE *, fpos_t *);
 extern int	fsetpos64(FILE *, const fpos_t *);
-#else	/* defined(__STDC__) */
-extern FILE	*fopen64();
-extern FILE	*freopen64();
-extern FILE	*tmpfile64();
-extern int	fgetpos64();
-extern int	fsetpos64();
-#endif	/* defined(__STDC__) */
 #define	fopen			fopen64
 #define	freopen			freopen64
 #define	tmpfile			tmpfile64
@@ -269,8 +262,6 @@
 #endif
 #endif	/* !_SSIZE_T */
 
-#if defined(__STDC__)
-
 #if defined(__EXTENSIONS__) || \
 	(!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX)) || \
 	defined(_REENTRANT)
@@ -371,94 +362,11 @@
 extern off64_t	ftello64(FILE *);
 #endif
 
-#else	/* !defined __STDC__ */
-
-#ifndef	_LP64
-#define	_bufend(p)	((fileno(p) < _NFILE) ? _bufendtab[fileno(p)] : \
-			(unsigned char *)_realbufend(p))
-#define	_bufsiz(p)	(_bufend(p) - (p)->_base)
-#endif	/*	_LP64	*/
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
-	defined(_REENTRANT)
-extern char	*tmpnam_r();
-#endif
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)
-extern int fcloseall();
-extern void setbuffer();
-extern int setlinebuf();
-extern int asprintf();
-extern int vasprintf();
-#endif
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)
-	/* || defined(_XPG7) */
-extern ssize_t getdelim();
-extern ssize_t getline();
-#endif	/* __EXTENSIONS__ ... */
-
-#if defined(__EXTENSIONS__) || defined(__XOPEN_OR_POSIX)
-extern FILE	*fdopen();
-extern char	*ctermid();
-extern int	fileno();
-#endif	/* defined(__EXTENSIONS__) || defined(__XOPEN_OR_POSIX) */
-
-#if defined(__EXTENSIONS__) || defined(_REENTRANT) || \
-	    (_POSIX_C_SOURCE - 0 >= 199506L)
-extern void	flockfile();
-extern int	ftrylockfile();
-extern void	funlockfile();
-extern int	getc_unlocked();
-extern int	getchar_unlocked();
-extern int	putc_unlocked();
-extern int	putchar_unlocked();
-#endif	/* defined(__EXTENSIONS__) || defined(_REENTRANT).. */
-
-#if defined(__EXTENSIONS__) || defined(_XOPEN_SOURCE)
-extern FILE	*popen();
-extern char	*tempnam();
-extern int	pclose();
-
-#if !defined(_XOPEN_SOURCE)
-extern int	getsubopt();
-#endif /* !defined(_XOPEN_SOURCE) */
-
-#if !defined(_XPG6) || defined(__EXTENSIONS__)
-extern char	*cuserid();
-extern int	getopt();
-extern char	*optarg;
-extern int	optind, opterr, optopt;
-extern int	getw();
-extern int	putw();
-#endif /* !defined(_XPG6) || defined(__EXTENSIONS__) */
-
-#endif	/* defined(__EXTENSIONS__) || defined(_XOPEN_SOURCE) */
-
-#if defined(_LARGEFILE_SOURCE) || defined(_XPG5)
-extern int	fseeko();
-extern off_t	ftello();
-#endif
-
-#if defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern FILE	*fopen64();
-extern FILE	*freopen64();
-extern FILE	*tmpfile64();
-extern int	fgetpos64();
-extern int	fsetpos64();
-extern int	fseeko64();
-extern off64_t	ftello64();
-#endif
-
-#endif	/* __STDC__ */
-
 #if !defined(__lint)
 
 #if defined(__EXTENSIONS__) || defined(_REENTRANT) || \
 	    (_POSIX_C_SOURCE - 0 >= 199506L)
 #ifndef	_LP64
-#ifdef	__STDC__
 #define	getc_unlocked(p)	(--(p)->_cnt < 0 \
 					? __filbuf(p) \
 					: (int)*(p)->_ptr++)
@@ -466,15 +374,6 @@
 					? __flsbuf((x), (p)) \
 					: (int)(*(p)->_ptr++ = \
 					(unsigned char) (x)))
-#else
-#define	getc_unlocked(p)	(--(p)->_cnt < 0 \
-					? _filbuf(p) \
-					: (int)*(p)->_ptr++)
-#define	putc_unlocked(x, p)	(--(p)->_cnt < 0 \
-					? _flsbuf((x), (p)) \
-					: (int)(*(p)->_ptr++ = \
-					(unsigned char) (x)))
-#endif	/* __STDC__ */
 #endif	/* _LP64 */
 #define	getchar_unlocked()	getc_unlocked(stdin)
 #define	putchar_unlocked(x)	putc_unlocked((x), stdout)
--- old/usr/src/head/stdlib.h	Sat Aug  2 23:27:15 2014
+++ new/usr/src/head/stdlib.h	Sat Aug  2 23:27:15 2014
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 2013 Gary Mills
  *
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
@@ -87,8 +88,6 @@
 typedef	unsigned int	uid_t;		/* UID type		*/
 #endif	/* !_UID_T */
 
-#if defined(__STDC__)
-
 /* large file compilation environment setup */
 #if !defined(_LP64) && _FILE_OFFSET_BITS == 64
 
@@ -261,128 +260,6 @@
 
 #endif /* defined(__EXTENSIONS__) || !defined(_STRICT_STDC) ... */
 
-#else /* not __STDC__ */
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
-	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_REENTRANT)
-extern int rand_r();
-#endif	/* defined(__EXTENSIONS__) || defined(_REENTRANT) ... */
-
-extern void _exithandle();
-
-#if defined(__EXTENSIONS__) || !defined(_POSIX_C_SOURCE) || defined(_XPG4)
-extern double drand48();
-extern double erand48();
-extern long jrand48();
-extern void lcong48();
-extern long lrand48();
-extern long mrand48();
-extern long nrand48();
-extern unsigned short *seed48();
-extern void srand48();
-extern int putenv();
-extern void setkey();
-#endif /* defined(__EXTENSIONS__) || !defined(_POSIX_C_SOURCE) ... */
-
-#if (defined(__EXTENSIONS__) || !defined(_POSIX_C_SOURCE)) && \
-	(!defined(_XOPEN_SOURCE) || (defined(_XPG3) && !defined(_XPG4)))
-extern void swab();
-#endif
-
-#if defined(__EXTENSIONS__) || \
-	!defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || \
-	(defined(_LARGEFILE_SOURCE) && _FILE_OFFSET_BITS == 64)
-extern int	mkstemp();
-#if !defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern int	mkstemps();
-#endif
-#endif	/* defined(__EXTENSIONS__) ... */
-
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern int	mkstemp64();
-#if !defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern int	mkstemps64();
-#endif
-#endif	/* _LARGEFILE64_SOURCE... */
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)
-extern long a64l();
-extern char *ecvt();
-extern char *fcvt();
-extern char *gcvt();
-extern int getsubopt();
-extern int grantpt();
-extern char *initstate();
-extern char *l64a();
-extern char *mktemp();
-extern char *ptsname();
-extern long random();
-extern char *realpath();
-extern char *setstate();
-extern void srandom();
-/* Marked LEGACY in SUSv2 and removed in SUSv3 */
-#if !defined(_XPG6) || defined(__EXTENSIONS__)
-extern int ttyslot();
-extern void *valloc();
-#endif /* !defined(_XPG6) || defined(__EXTENSIONS__) */
-#endif /* defined(__EXTENSIONS__) || ... || defined(_XPG4_2) */
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || defined(_XPG6)
-extern int posix_memalign();
-extern int posix_openpt();
-extern int setenv();
-extern int unsetenv();
-#endif
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)
-extern char *canonicalize_file_name();
-extern int clearenv();
-extern void closefrom();
-extern int daemon();
-extern int dup2();
-extern int dup3();
-extern int fdwalk();
-extern char *qecvt();
-extern char *qfcvt();
-extern char *qgcvt();
-extern char *getcwd();
-extern char *getexecname();
-
-#ifndef	__GETLOGIN_DEFINED	/* Avoid duplicate in unistd.h */
-#define	__GETLOGIN_DEFINED
-#ifndef	__USE_LEGACY_LOGNAME__
-#ifdef	__PRAGMA_REDEFINE_EXTNAME
-#pragma	redefine_extname getlogin getloginx
-#else	/* __PRAGMA_REDEFINE_EXTNAME */
-extern char *getloginx();
-#define	getlogin	getloginx
-#endif	/* __PRAGMA_REDEFINE_EXTNAME */
-#endif	/* __USE_LEGACY_LOGNAME__ */
-extern char *getlogin();
-#endif	/* __GETLOGIN_DEFINED */
-
-extern int getopt();
-extern char *optarg;
-extern int optind, opterr, optopt;
-extern char *getpass();
-extern char *getpassphrase();
-extern int getpw();
-extern int isatty();
-extern void *memalign();
-extern char *ttyname();
-extern char *mkdtemp();
-extern char *getprogname();
-extern void setprogname();
-
-#if defined(_LONGLONG_TYPE)
-extern char *lltostr();
-extern char *ulltostr();
-#endif  /* defined(_LONGLONG_TYPE) */
-#endif	/* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) ... */
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/string.h	Sat Aug  2 23:27:15 2014
+++ new/usr/src/head/string.h	Sat Aug  2 23:27:15 2014
@@ -66,8 +66,6 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
-
 #if defined(__EXTENSIONS__) || \
 	(!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX)) || \
 	defined(_XPG6) || defined(_REENTRANT)
@@ -191,64 +189,6 @@
 #endif	/* __GNUC__ */
 #endif	/* __EXTENSIONS__ ... */
 
-#else	/* __STDC__ */
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
-	defined(_XPG6) || defined(_REENTRANT)
-extern int strerror_r();
-#endif
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
-	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_REENTRANT)
-extern char *strtok_r();
-#endif
-
-#if defined(__EXTENSIONS__) || !defined(_STRICT_STDC) || \
-	defined(__XOPEN_OR_POSIX)
-extern void *memccpy();
-#endif
-
-#if defined(_XPG7) || !defined(_STRICT_SYMBOLS)
-extern int strcasecmp();
-extern int strncasecmp();
-extern int strcasecmp_l();
-extern int strncasecmp_l();
-extern char *stpcpy();
-extern char *stpncpy();
-extern char *strndup();
-extern size_t strnlen();
-extern char *strsignal();
-#endif
-
-#if !defined(_STRICT_SYMBOLS)
-extern int uucopy();
-extern int uucopystr();
-extern int ffs();
-extern int ffsl();
-extern int ffsll();
-extern int fls();
-extern int flsl();
-extern int flsll();
-extern char *strcasestr();
-extern char *strcasestr_l();
-extern char *strnstr();
-extern size_t strlcpy();
-extern size_t strlcat();
-extern char *strsep();
-extern char *strchrnul();
-#endif /* _STRICT_SYMBOLS */
-
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)
-extern char *strdup();
-#endif
-
-#if defined(_XPG7) || !defined(_STRICT_SYMBOLS)
-extern size_t strcoll_l();
-extern size_t strxfrm_l();
-#endif
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/strings.h	Sat Aug  2 23:27:15 2014
+++ new/usr/src/head/strings.h	Sat Aug  2 23:27:15 2014
@@ -20,12 +20,11 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1995, 1996, by Sun Microsystems, Inc.
  * All rights reserved.
  */
-/*
- * Copyright 2013 Garrett D'Amore <garrett@damore.org>
- */
 
 #ifndef	_STRINGS_H
 #define	_STRINGS_H
@@ -41,8 +40,6 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
-
 extern int bcmp(const void *, const void *, size_t);
 extern void bcopy(const void *, void *, size_t);
 extern void bzero(void *, size_t);
@@ -74,27 +71,6 @@
 #endif	/* defined(_XPG7) */
 #endif	/* defined(_XPG4_2) && !defined(__EXTENSIONS__) */
 
-#else
-
-extern int bcmp();
-extern void bcopy();
-extern void bzero();
-
-extern char *index();
-extern char *rindex();
-
-#if defined(_XPG4_2) && !defined(__EXTENSIONS__)
-extern int ffs();
-extern int strcasecmp();
-extern int strncasecmp();
-#if defined(_XPG7)
-extern int strcasecmp_l();
-extern int strncasecmp_l();
-#endif
-#endif /* defined(_XPG4_2) && !defined(__EXTENSIONS__) */
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/stropts.h	Sat Aug  2 23:27:15 2014
+++ new/usr/src/head/stropts.h	Sat Aug  2 23:27:15 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +32,6 @@
 #ifndef	_STROPTS_H
 #define	_STROPTS_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.6	*/
-
 /*
  * Streams user options definitions.
  */
@@ -44,8 +43,6 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
-
 extern int isastream(int);
 
 extern int getmsg(int, struct strbuf *_RESTRICT_KYWD,
@@ -65,8 +62,6 @@
 extern int fattach(int, const char *);
 extern int fdetach(const char *);
 
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/synch.h	Sat Aug  2 23:27:15 2014
+++ new/usr/src/head/synch.h	Sat Aug  2 23:27:15 2014
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1992, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -86,7 +87,6 @@
 	cond_t		writercv;	/* used only to indicate ownership */
 } rwlock_t;
 
-#ifdef	__STDC__
 int	_lwp_mutex_lock(lwp_mutex_t *);
 int	_lwp_mutex_unlock(lwp_mutex_t *);
 int	_lwp_mutex_trylock(lwp_mutex_t *);
@@ -127,50 +127,6 @@
 int	sema_post(sema_t *);
 int	sema_trywait(sema_t *);
 
-#else	/* __STDC__ */
-
-int	_lwp_mutex_lock();
-int	_lwp_mutex_unlock();
-int	_lwp_mutex_trylock();
-int	_lwp_cond_wait();
-int	_lwp_cond_timedwait();
-int	_lwp_cond_reltimedwait();
-int	_lwp_cond_signal();
-int	_lwp_cond_broadcast();
-int	_lwp_sema_init();
-int	_lwp_sema_wait();
-int	_lwp_sema_trywait();
-int	_lwp_sema_post();
-int	cond_init();
-int	cond_destroy();
-int	cond_wait();
-int	cond_timedwait();
-int	cond_reltimedwait();
-int	cond_signal();
-int	cond_broadcast();
-int	mutex_init();
-int	mutex_destroy();
-int	mutex_consistent();
-int	mutex_lock();
-int	mutex_trylock();
-int	mutex_unlock();
-int	rwlock_init();
-int	rwlock_destroy();
-int	rw_rdlock();
-int	rw_wrlock();
-int	rw_unlock();
-int	rw_tryrdlock();
-int	rw_trywrlock();
-int	sema_init();
-int	sema_destroy();
-int	sema_wait();
-int	sema_timedwait();
-int	sema_reltimedwait();
-int	sema_post();
-int	sema_trywait();
-
-#endif	/* __STDC__ */
-
 #endif /* _ASM */
 
 /* "Magic numbers" tagging synchronization object types */
@@ -238,8 +194,6 @@
 
 #ifndef _ASM
 
-#ifdef	__STDC__
-
 /*
  * The *_held() functions apply equally well to Solaris threads
  * and to Posix threads synchronization objects, but the formal
@@ -252,21 +206,8 @@
 int _rw_write_held(void *);		/* rwlock_t or pthread_rwlock_t */
 int _mutex_held(void *);		/* mutex_t or pthread_mutex_t */
 
-#else	/* __STDC__ */
-
-int _sema_held();
-int _rw_read_held();
-int _rw_write_held();
-int _mutex_held();
-
-#endif	/* __STDC__ */
-
 /* Pause API */
-#ifdef	__STDC__
 void smt_pause(void);
-#else	/* __STDC__ */
-void smt_pause();
-#endif	/* __STDC__ */
 
 #endif /* _ASM */
 
--- old/usr/src/head/syslog.h	Sat Aug  2 23:27:15 2014
+++ new/usr/src/head/syslog.h	Sat Aug  2 23:27:15 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef	_SYSLOG_H
 #define	_SYSLOG_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.1	*/
-
 #include <sys/feature_tests.h>
 #include <sys/syslog.h>
 #include <sys/va_list.h>
@@ -36,8 +37,6 @@
 extern "C" {
 #endif
 
-#ifdef	__STDC__
-
 void openlog(const char *, int, int);
 void syslog(int, const char *, ...);
 void closelog(void);
@@ -46,18 +45,6 @@
 void vsyslog(int, const char *, __va_list);
 #endif	/* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
 
-#else	/* __STDC__ */
-
-void openlog();
-void syslog();
-void closelog();
-int setlogmask();
-#if !defined(_XPG4_2) || defined(__EXTENSIONS__)
-void vsyslog();
-#endif	/* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/thread.h	Sat Aug  2 23:27:15 2014
+++ new/usr/src/head/thread.h	Sat Aug  2 23:27:15 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_THREAD_H
 #define	_THREAD_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * thread.h:
  * definitions needed to use the thread interface except synchronization.
@@ -51,7 +51,6 @@
 #endif /* _ASM */
 
 #ifndef _ASM
-#ifdef __STDC__
 
 extern int thr_create(void *, size_t, void *(*)(void *), void *, long,
 			thread_t *);
@@ -92,30 +91,6 @@
 extern int thr_getspecific(thread_key_t, void **);
 extern size_t thr_min_stack(void);
 
-#else /* __STDC */
-
-extern int thr_create();
-extern int thr_join();
-extern int thr_setconcurrency();
-extern int thr_getconcurrency();
-extern void thr_exit();
-extern thread_t	thr_self();
-extern int thr_sigsetmask();
-extern int thr_stksegment();
-extern int thr_main();
-extern int thr_kill();
-extern int thr_suspend();
-extern int thr_continue();
-extern void thr_yield();
-extern int thr_setprio();
-extern int thr_getprio();
-extern int thr_keycreate();
-extern int thr_keycreate_once();
-extern int thr_setspecific();
-extern int thr_getspecific();
-extern size_t thr_min_stack();
-
-#endif /* __STDC */
 #endif /* _ASM */
 
 #define	THR_MIN_STACK	thr_min_stack()
